Setting up IntelliJ with Scala and SBT

Hello

I am trying to setup intellij with scala and sbt for development. I have already installed scala and SBT plugins on the IDE. However, when I try to create a new scala and sbt project,I get the following errors:

SBT 'untitled9' project refresh failed
Error:Error:Error while importing SBT project:<br/>...<br/><pre>https://repo.scala-sbt.org/scalasbt/ivy-snapshots/org.fusesource.jansi/jansi/1.11/ivys/ivy.xml

::::::::::::::::::::::::::::::::::::::::::::::

:: UNRESOLVED DEPENDENCIES ::

 ::::::::::::::::::::::::::::::::::::::::::::::

 :: org.fusesource.jansi#jansi;1.11: not found

 ::::::::::::::::::::::::::::::::::::::::::::::

 :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

unresolved dependency: org.fusesource.jansi#jansi;1.11: not found

Error during sbt execution: Error retrieving required libraries

(see C:\Users\xxxxxx\.sbt\boot\update.log for complete log)

Error: Could not retrieve jansi 1.11

Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=384M; support was removed in 8.0</pre><br/>See complete log in <a href="file:/C:/Users/xxxxxx/.IdeaIC2017.1/system/log/sbt.last.log">file:/C:/Users/xxxxxx/.IdeaIC2017.1/system/log/sbt.last.log</a>

 

The build.sbt files shows the following errors:

Cannot resolve symbol :=
Cannot resolve symbol name
Cannot resolve symbol version
Cannot resolve symbol scalaVersion

Here is my build.sbt file which was created by the IDE itself:

name := "setup"

version := "1.0"

scalaVersion := "2.12.2"

The following are the steps I followed for creating the project:

Step One: File -> New Project

Step Two: Choose Scala from the left hand side panel and choose SBT on the right hand side panel (i.e SBT-based Scala project) and click Next.

Step Three: Fill in the project details and click Finish. ( Scala version -> 2.12.2, SBT version -> 0.13.13) ( tried different versions of SBT)

IntelliJ version - IntelliJ IDEA 2017.1.3

 

the Log file has the following content:

Getting org.fusesource.jansi jansi 1.11 ...
You probably access the destination server through a proxy server that is not well configured.
You probably access the destination server through a proxy server that is not well configured.
You probably access the destination server through a proxy server that is not well configured.
You probably access the destination server through a proxy server that is not well configured.

:: problems summary ::
:::: WARNINGS
Host repo1.maven.org not found. url=https://repo1.maven.org/maven2/org/fusesource/jansi/jansi/1.11/jansi-1.11.pom

Host repo1.maven.org not found. url=https://repo1.maven.org/maven2/org/fusesource/jansi/jansi/1.11/jansi-1.11.jar

Host repo.typesafe.com not found. url=https://repo.typesafe.com/typesafe/ivy-releases/org.fusesource.jansi/jansi/1.11/ivys/ivy.xml

Host repo.scala-sbt.org not found. url=https://repo.scala-sbt.org/scalasbt/ivy-snapshots/org.fusesource.jansi/jansi/1.11/ivys/ivy.xml

module not found: org.fusesource.jansi#jansi;1.11

**
So I think this is an issue with my proxy settings. However, I see that my colleagues face the same issue when creating a new project except that it works for them if they choose a particular version of SBT ( the version that works is changing from person to person). Is there a way to solve this inconsistency??

Any help would be appreciated. Thank you.

2 comments
Comment actions Permalink

Hello! If you have permissions, please keep track a progress of this issue at https://youtrack.jetbrains.com/issue/SCL-12047 .

Anyway, we'll let you know here as soon as it becomes resolved.

0

Please sign in to leave a comment.